如何使自己相信您正在使用其他Web浏览器

似乎很纠结,不是吗? 其实不是。 在某些情况下,页面或服务要求我们使用特定的浏览器或特定版本的浏览器。

例如,对我来说,在工作中,使用某些应用程序时必须使用Firefox 2.5(原文如此)。 这意味着我必须使用完全过时的Firefox版本。 由于我不喜欢这样,所以我找到了一种方法来继续使用我可爱的Firefox 4,但让机器认为我使用的是旧的旧版Firefox 2.5。 相同的方法适用于Chrome / Chromium。 我们可以使系统相信我们正在使用Firefox 2.5,而实际上我们正在使用最新的Chrome / Chromium。

让我们看看如何做...


就像生活中的几乎所有事物一样:这很容易,但是您必须知道如何去做。 在这种情况下,生活的另一个伟大准则就是:这很容易,但是您必须知道如何找到一种指南来告诉您如何。

当我说这种情况下的魔术短语是“用户代理”时,请相信我。 在他们的生活中从未发生过写这样的东西来查找有关此主题的信息的经历,甚至连精通英语的人也不会想到。 关键是,一旦他们在Google中输入相应内容,相关的指南和页面就会下雨。

那么我们如何更改我们的用户代理?

火狐

1.-我写了 about:config中 在地址栏中。

2.-按右键并选择 新建>字符串(新建>字符串)。 我写 ”general.useragent.override«,不带引号。 然后输入要模拟的浏览器的值。 有关完整列表,建议您访问此网站 锡蒂奥.

也有 Firefox扩展 这样您就可以非常轻松地更改用户代理。 如果您需要经常切换用户代理,这将非常方便。

镀铬/铬

在Chrome / Chromium中没有“手动”方式更改用户代理。 为此,您必须编辑二进制文件,这不是一个非常愉快和简单的做法。

因此,最好的选择是使用Chrome / Chromium扩展程序,使您可以轻松更改用户代理。 如果您需要经常切换用户代理,这将非常方便。

为了验证所做的更改是否有效,建议您访问 这个网站 您的用户代理将出现在其中。


本文内容遵循我们的原则 编辑伦理。 要报告错误,请单击 信息.

10条评论,留下您的评论

发表您的评论

您的电子邮件地址将不会被发表。

*

*

  1. 负责数据:MiguelÁngelGatón
  2. 数据用途:控制垃圾邮件,注释管理。
  3. 合法性:您的同意
  4. 数据通讯:除非有法律义务,否则不会将数据传达给第三方。
  5. 数据存储:Occentus Networks(EU)托管的数据库
  6. 权利:您可以随时限制,恢复和删除您的信息。

  1.   让我们使用Linux

    这意味着它有效。 🙂
    尝试从Internet Explorer 7或更高版本使用用户代理。
    干杯! 保罗

  2.   亚历杭德罗·奥利瓦雷斯·拉米雷斯

    它说它不适用于我的平台(Linux),也不适用于Firefox 4。

    我将继续寻找类似的东西,无论如何,感谢您的及时答复😉

  3.   哈利

    Maxthom,尽管它是仅适用于Windows的浏览器,默认情况下会带来此功能,但我对其进行了测试,但未执行任何操作,但令我感到惊讶的是,如果使用第三版

  4.   电子邮件

    我丢失了IE的数据,我必须使用IE,因为该公司是Microsoft合作伙伴,并且一切都会根据他们的产品进行,很可能会被迫使用2种不同的浏览器(我什至不使用那2种)

  5.   凯塞雷斯

    昨天我在humanOS上发布了与此相关的文章...对于Chrome / Chromium来说,您实际上不需要修改二进制文件! 只需在启动器中添加参数–user-agent =»User Agent»...就Linux上的Chrome 11而言,将在Chrome启动器中保留以下内容:

    / opt / google / chrome / google-chrome%U –用户代理=»Mozilla / 5.0(X11; U; Linux i686; zh-CN)AppleWebKit / 534.16(KHTML,如Gecko)Ubuntu / 10.10 Chrome / 11.0.696.50 Safari浏览器/ 534.16''

    如果您想了解更多信息,可以在这里停下来! http://comunidades.uci.cu/blogs/humanOS/2011/04/27/chrome-y-firefox-modifica-tu-user-agent/

  6.   凯塞雷斯

    没问题,我们在这里分享!

    问候,kceres

  7.   大卫

    我用Hotmail和Youtube尝试了一下,它告诉我我有一个abosoleto浏览器(我在Arch Linux中使用了Internet Explorer 4.0的用户代理)

  8.   亚历杭德罗·奥利瓦雷斯·拉米雷斯

    我加入了eM Di eM的要求。

    我需要能够在Linux上使用IE。
    希望他们能提供有关如何做的教程。

  9.   贝托

    似乎运作良好,谢谢

  10.   赫兹

    测试…

    09867564

布尔值(true)